#!/bin/bash

if [[ -z $1 ]]; then
	echo "Usage: $0 <ELF-file>"
	exit -1
fi

JLinkGDBServer -if SWD -device STM32F407VE &
sleep 2

# Check if GDB server is still running
gdbpid=`pidof JLinkGDBServer`

if [[ $gdbpid == "" ]]; then
	echo ""
	echo "GDB Server not running! Check target connection."
	exit
fi

arm-none-eabi-gdb -x program-device.gdb $1
sleep 2

kill $gdbpid
